View Issue Details

IDProjectCategoryView StatusLast Update
13579Bug reports[All Projects] Pluginspublic2018-05-25 11:30
Reporterjosep Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.6.x 
Target VersionFixed in Version3.6.x 
Summary13579: The first time that it shows the plugin of the calendar appears in English and no in the language of the survey.
Description

In a survey with more than one question of calendar type, calendar plugin shows always first question using english mode.
Second and next questions are showed in specified language (Catalan (valencian) in test case I upload.

Thank's in advance.

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.5.4+180320
I will donate to the project if issue is resolvedNo
BrowserFirefox ESR 52.7.2 (64 bits
Database & DB-Versionpostgresql-9.6 9.6.6-0+deb9u1
Server OS (if known)GNU Linux Debian 9.3
Webserver software & version (if known)apache2 2.4.25-3+deb9u3
PHP Versionphp7.0 7.0.27-0+deb9u1

Activities

josep

josep

2018-04-09 15:12

reporter  

limesurvey_survey_322849.lss (12,987 bytes)
DenisChenu

DenisChenu

2018-04-10 09:22

developer   ~47376

Last edited: 2018-04-10 09:24

View 2 revisions

@LouisGac : assigned to you, reason is twig:

  1. Seems twig is readed before qanda
  2. Then set timepicker option after set it in qanda

I think it's a bad idea to put script in twig file

DenisChenu

DenisChenu

2018-04-10 09:25

developer   ~47377

Last edited: 2018-04-10 09:32

View 2 revisions

@LouisGac : sorry : easy fix, review order in qanda …
(still think it's a bad idea to register script in twig file)

DenisChenu

DenisChenu

2018-04-10 09:29

developer   ~47378

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=26949

josep

josep

2018-04-10 10:19

reporter   ~47380

Resolution confirmed.
Thank you very much.

c_schmitz

c_schmitz

2018-05-25 11:30

administrator   ~47847

Version 3.8.1+180524 released

Related Changesets

LimeSurvey: master 109af0e9

2018-04-10 09:21:29

DenisChenu

Details Diff
Dev: good order for $.fn.datetimepicker.defaults
Dev: related to 13579
Affected Issues
13579
mod - application/helpers/qanda_helper.php Diff File

LimeSurvey: master a401a6b4

2018-04-10 09:29:25

DenisChenu

Details Diff
Fixed issue 13579: First calendar are always in English
Dev: register needed script before call twig
Affected Issues
13579
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2018-04-09 15:12 josep New Issue
2018-04-09 15:12 josep File Added: limesurvey_survey_322849.lss
2018-04-10 08:58 DenisChenu Assigned To => DenisChenu
2018-04-10 08:58 DenisChenu Status new => confirmed
2018-04-10 09:18 DenisChenu Assigned To DenisChenu => LouisGac
2018-04-10 09:22 DenisChenu Note Added: 47376
2018-04-10 09:23 DenisChenu Changeset attached => LimeSurvey master 109af0e9
2018-04-10 09:24 DenisChenu Note Edited: 47376 View Revisions
2018-04-10 09:24 DenisChenu Assigned To LouisGac => DenisChenu
2018-04-10 09:25 DenisChenu Note Added: 47377
2018-04-10 09:29 DenisChenu Changeset attached => LimeSurvey master a401a6b4
2018-04-10 09:29 DenisChenu Note Added: 47378
2018-04-10 09:29 DenisChenu Resolution open => fixed
2018-04-10 09:32 DenisChenu Status confirmed => resolved
2018-04-10 09:32 DenisChenu Fixed in Version => 3.6.x
2018-04-10 09:32 DenisChenu Note Edited: 47377 View Revisions
2018-04-10 10:19 josep Note Added: 47380
2018-05-25 11:30 c_schmitz Note Added: 47847
2018-05-25 11:30 c_schmitz Status resolved => closed